#
# spec file for package gnome-settings-daemon (Version 2.29.5)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnome-settings-daemon
%define _name gnome-settings-daemon
Version:        2.29.5
Release:        1
License:        GPLv2+
Summary:        Settings daemon for the GNOME desktop
Url:            http://www.gnome.org
Group:          System/GUI/GNOME
Source:         %{_name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE gnome-settings-daemon-system-proxy-configuration.diff
Patch2:         gnome-settings-daemon-system-proxy-configuration.diff
# PATCH-FIX-UPSTREAM gnome-settings-daemon-bnc427745-force-dpi.patch bnc427745 bgo553652 vuntz@novell.com -- Force the DPI to 96 right now to avoid big fonts.
Patch6:         gnome-settings-daemon-bnc427745-force-dpi.patch
# PATCH-FEATURE-UPSTREAM gnome-settings-daemon-apport-monitor.patch bnc439203 jblunck@novell.com -- Add apport monitoring plugin.
Patch8:         gnome-settings-daemon-apport-monitor.patch
# PATCH-FEATURE-UPSTREAM gnome-settings-daemon-bnc462640-mute-action.patch bnc462640 bgo572365 vuntz@novell.com -- Mute button should always mute sound instead of toggling mute status
Patch10:        gnome-settings-daemon-bnc462640-mute-action.patch
# PATCH-NEEDS-REBASE gnome-settings-daemon-bnc461755-randr-rotate-wacom.diff bnc461755 federico@novell.com - Add the option of rotating a Wacom tablet when rotating the monitor with RANDR (was PATCH-FEATURE-OPENSUSE)
Patch11:        gnome-settings-daemon-bnc461755-randr-rotate-wacom.diff
# PATCH-FIX-UPSTREAM gnome-settings-daemon-add-layout-switcher.patch bgo603806 vuntz@opensuse.org -- Add a layout switching combo if needed; the real fix implies some API change in libgnomekbd (see upstream bug)
Patch13:        gnome-settings-daemon-add-layout-switcher.patch
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  gnome-desktop-devel
BuildRequires:  gnome-patch-translation
BuildRequires:  intltool
BuildRequires:  libcanberra-devel
BuildRequires:  libgnomekbd-devel
BuildRequires:  libnotify-devel
BuildRequires:  libpulse-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11
Requires:       %{name}-lang = %{version}
Obsoletes:      resapplet
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
gnome-settings-daemon provides a daemon run by all GNOME sessions to
provide live access to configuration settings and the changes done to
them as well as basic services like a clipboard manager, controlling
the startup of the screensaver, etc.

This module was previously part of GNOME Control Center, but has been
splitted from it for a more general use.

%package devel
License:        GPLv2+
Summary:        Development package for the GNOME settings daemon
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       dbus-1-devel
Requires:       dbus-1-glib-devel
Requires:       glib2-devel
Requires:       gnome-desktop-devel
Requires:       gnome-menus-devel
Requires:       gtk2-devel

%description devel
gnome-settings-daemon provides a daemon run by all GNOME sessions to
provide live access to configuration settings and the changes done to
them as well as basic services like a clipboard manager, controlling
the startup of the screensaver, etc.

This package includes header files used for client applications to
contact the settings daemon via its DBus interface.

%lang_package
%prep
%setup -q -n %{_name}-%{version}
gnome-patch-translation-prepare
%patch2 -p0
%patch6 -p0
%patch8 -p0
%patch10 -p0
# PATCH-NEEDS-REBASE
#%patch11 -p1
%patch13 -p0
gnome-patch-translation-update

%build
autoreconf -f -i
%configure\
	--libexecdir=%{_prefix}/lib/gnome-settings-daemon\
	--disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
rm %{buildroot}%{_libdir}/gnome-settings-daemon-2.0/*.*a
%suse_update_desktop_file gnome-settings-daemon
%find_lang %{_name}
%find_gconf_schemas
cat %{name}.schemas_list >gnome-%{name}.lst
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f gnome-%{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS
%{_datadir}/dbus-1/services/org.gnome.SettingsDaemon.service
%{_datadir}/gnome-settings-daemon
%{_prefix}/lib/gnome-settings-daemon
%{_libdir}/gnome-settings-daemon-2.0
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/icons/*/*/*
# Own the directories to avoid a build dependency on gnome-control-center
# (which creates a loop)
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings
%{_datadir}/gnome-control-center/keybindings/50-accessibility.xml

%files lang -f %{_name}.lang

%files devel
%defattr (-, root, root)
%{_includedir}/gnome-settings-daemon-2.0
%{_libdir}/pkgconfig/*.pc

%changelog
